{
  "name": "isa-app",
  "$schema": "../../node_modules/nx/schemas/project-schema.json",
  "projectType": "application",
  "prefix": "app",
  "sourceRoot": "apps/isa-app/src",
  "tags": ["skip:ci"],
  "targets": {
    "build": {
      "executor": "@angular-devkit/build-angular:application",
      "options": {
        "allowedCommonJsDependencies": [
          "lodash",
          "moment",
          "jsrsasign",
          "pdfjs-dist/build/pdf",
          "pdfjs-dist/web/pdf_viewer",
          "pdfjs-dist/es5/build/pdf",
          "pdfjs-dist/es5/web/pdf_viewer"
        ],
        "outputPath": "dist/isa-app",
        "index": "apps/isa-app/src/index.html",
        "browser": "apps/isa-app/src/main.ts",
        "polyfills": ["zone.js"],
        "tsConfig": "apps/isa-app/tsconfig.app.json",
        "inlineStyleLanguage": "scss",
        "assets": [
          "apps/isa-app/src/favicon.ico",
          "apps/isa-app/src/assets",
          "apps/isa-app/src/config",
          "apps/isa-app/src/silent-refresh.html",
          "apps/isa-app/src/manifest.webmanifest",
          {
            "glob": "**/*",
            "input": "node_modules/scandit-web-datacapture-barcode/build/engine",
            "output": "scandit"
          }
        ],
        "styles": [
          "@angular/cdk/overlay-prebuilt.css",
          "apps/isa-app/src/tailwind.scss",
          "apps/isa-app/src/styles.scss"
        ],
        "scripts": []
      },
      "configurations": {
        "production": {
          "budgets": [
            {
              "type": "initial",
              "maximumWarning": "2mb",
              "maximumError": "5mb"
            },
            {
              "type": "anyComponentStyle",
              "maximumWarning": "25kb"
            }
          ],
          "fileReplacements": [
            {
              "replace": "apps/isa-app/src/environments/environment.ts",
              "with": "apps/isa-app/src/environments/environment.prod.ts"
            }
          ],
          "outputHashing": "all",
          "serviceWorker": "apps/isa-app/ngsw-config.json"
        },
        "development": {
          "optimization": false,
          "extractLicenses": false,
          "sourceMap": true
        }
      },
      "defaultConfiguration": "production",
      "outputs": ["{options.outputPath}"]
    },
    "serve": {
      "executor": "@angular-devkit/build-angular:dev-server",
      "configurations": {
        "production": {
          "buildTarget": "isa-app:build:production"
        },
        "development": {
          "buildTarget": "isa-app:build:development"
        }
      },
      "defaultConfiguration": "development",
      "continuous": true
    },
    "extract-i18n": {
      "executor": "@angular-devkit/build-angular:extract-i18n",
      "options": {
        "buildTarget": "isa-app:build"
      }
    },
    "lint": {
      "executor": "@nx/eslint:lint"
    },
    "test": {
      "executor": "@nx/jest:jest",
      "outputs": ["{workspaceRoot}/coverage/{projectRoot}"],
      "options": {
        "jestConfig": "apps/isa-app/jest.config.ts"
      }
    },
    "serve-static": {
      "executor": "@nx/web:file-server",
      "options": {
        "buildTarget": "isa-app:build",
        "staticFilePath": "dist/apps/isa-app/browser",
        "spa": true
      }
    },
    "storybook": {
      "executor": "@storybook/angular:start-storybook",
      "options": {
        "port": 4400,
        "configDir": "apps/isa-app/.storybook",
        "browserTarget": "isa-app:build",
        "compodoc": false,
        "open": false,
        "assets": [
          {
            "glob": "**/*",
            "input": "apps/isa-app/src/assets",
            "output": "/assets"
          }
        ],
        "styles": [
          "@angular/cdk/overlay-prebuilt.css",
          "apps/isa-app/src/tailwind.scss",
          "apps/isa-app/src/styles.scss"
        ]
      },
      "configurations": {
        "ci": {
          "quiet": true
        }
      }
    },
    "build-storybook": {
      "executor": "@storybook/angular:build-storybook",
      "outputs": ["{options.outputDir}"],
      "options": {
        "outputDir": "dist/storybook/isa-app",
        "configDir": "apps/isa-app/.storybook",
        "browserTarget": "isa-app:build",
        "compodoc": false,
        "styles": [
          "@angular/cdk/overlay-prebuilt.css",
          "apps/isa-app/src/tailwind.scss",
          "apps/isa-app/src/styles.scss"
        ]
      },
      "configurations": {
        "ci": {
          "quiet": true
        }
      }
    }
  }
}
